--[[
	CensusPlus for World of Warcraft(tm).
	
	Copyright 2005 - 2006 Cooper Sellers and WarcraftRealms.com

	License:
		This program is free software; you can redistribute it and/or
		modify it under the terms of the GNU General Public License
		as published by the Free Software Foundation; either version 2
		of the License, or (at your option) any later version.

		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.

		You should have received a copy of the GNU General Public License
		along with this program(see GLP.txt); if not, write to the Free Software
		Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
]]


local init = false;
local PetBat_CPWin = false;

function CensusButton_OnLoad(self)

self:RegisterEvent("ADDON_LOADED")
self:RegisterEvent("PET_BATTLE_OPENING_START")
self:RegisterEvent("PET_BATTLE_CLOSE")

end

function CensusButton_OnEvent(self, event, ...)

  local arg1,arg2,arg3,arg4 = ...;
	if( arg1 == nil ) then
		arg1 = "nil"
	end
	if( arg2 == nil ) then
		arg2 = "nil"
	end
	if( arg3 == nil ) then
		arg3 = "nil"
	end
	if( arg4 == nil ) then
		arg4 = "nil"
	end

	if (( event == "ADDON_LOADED") and (string.upper(arg1) == "CENSUSPLUS")) then
	    if(CensusPlus_Database["Info"]["CensusButtonShown"] == 1 ) then
				CensusButtonFrame:Show()
		else
				CensusButtonFrame:Hide()
		end
		init = true;
      self:UnregisterEvent("ADDON_LOADED")
	end

    if ( event =="PET_BATTLE_OPENING_START") then
		if(CensusPlus_Database["Info"]["CensusButtonShown"] == 1 ) then
			CensusButtonFrame:Hide()
		end
		if ( CensusPlus:IsVisible()) then
		    PetBat_CPWin = True;
			CensusPlus_Toggle();
		end
	end
	if ( event =="PET_BATTLE_CLOSE") then
		if(CensusPlus_Database["Info"]["CensusButtonShown"] == 1 ) then
			CensusButtonFrame:Show()
		end
		if (PetBat_CPWin == True) then
		    PetBat_CPWin = False;
			CensusPlus_Toggle();
		end
	end
	
end

function CensusPlus_ButtonDropDown_Initialize()
		
		local info;

		if (g_IsCensusPlusInProgress == true) then
			if( g_CensusPlusManuallyPaused == true ) then
				info = {
					text = CENSUSPlus_UNPAUSE;
					func = CensusPlus_Take_OnClick;
				};
			else
				info = {
					text = CENSUSPlus_PAUSE;
					func = CensusPlus_Take_OnClick;
				};
			end
		else
			info = {
				text = CENSUSPlus_TAKE;
				func = CensusPlus_Take_OnClick;
			};
		end
		UIDropDownMenu_AddButton(info, 1);

		info = {
			text = CENSUSPlus_STOP;
			func = CensusPlus_StopCensus;
		};
		UIDropDownMenu_AddButton(info, 1);
		
		info = {
			text = CANCEL;
			func = CensusPlus_CloseDropDown;
		};
		UIDropDownMenu_AddButton(info, 1);		
		
end


function CensusPlus_CloseDropDown()
	CloseDropDownMenus();
end

function CensusPlus_Button_OnClick(self, CPB_button)
--	print("CensusPlus_Button_OnClick: "..CPB_button);
	  if ( CPB_button == "LeftButton") then
			CensusPlus_Toggle();
			PlaySound("igMainMenuOptionCheckBoxOn");
		else
    	ToggleDropDownMenu( 1, nil, CP_ButtonDropDown, "CensusButtonFrame", 20, 20 ); 					
		end
end

function CensusPlus_Button_OnMouseDown( self, arg1 )
	if ( ( ( not CensusButtonFrame.isLocked ) or ( CensusButtonFrame.isLocked == 0 ) ) and ( arg1 == "LeftButton" ) ) then
--	  print("Moving frame-CensusButtonFrame");
		CensusButtonFrame:StartMoving();
		CensusButtonFrame.isMoving = true;
	end
end
